## Bsoft program

# bhead

### Usage: bhead [options] input.img output.img

Reports on and modifies image parameters in the image header.
Image format extensions supported: BioRad (pic), Brix (brx), CCP4 (map), Digital Instruments (di) EM (em), Goodford (pot), GRD (grd), Imagic (img), MFF (mff) Image Magick (miff), MRC (mrc), PIC (bp), PIF (pif), Spider (spi) Suprim (spm), TIFF (tif), RAW (raw)

### Actions:

-information | Show sub-image information.
-moments 6 | Show sub-image moments up to the indicated order.
-get size | Show selected information.
-recalculate | Force recalculation of statistics.
-slices | Interpret multiple 2D images as z-slices of a single 3D image.
-images | Interpret slices of a single 3D image as 2D images.
-background | Calculate new background values (image not modified).
-Background | Calculate new background values and mask the background.
-subtractbackground | Subtract the background.
-shiftbackground 1.6 | Shift the background to this value.

### Parameters:

-verbose 7 | Verbosity of output.
-datatype u | Force writing of a new data type.
-select 1 | Select an image (first image = 0; default: all images).
-origin 0,-10.5,30 | Set the origin.
-sampling 1.5,1.5,1.5 | Sampling (A/pixel; a single value can be given).
-Sampling 1.5,1.5,1.5 | Sets sampling and unit cell dimensions to fill image (A/pixel).
-setbackground 0.5 | Set the background to this value.
-symmetry D6 | Point group identifier.
-spacegroup 90 | Set space group.
-unitcell | 82,82.3,100,90,66.7,70 Set unit cell parameters (A and degrees).
-View 0.3,0.5,-0.2,35 | Sets the view parameters for every image.
-label "New | title" Give a new title or label in the header.
-fixtype | 8 or 16 bit integer types are switched between signed and unsigned.

Bsoft version 2.0.3-20180917 (64 bit)